summaryrefslogtreecommitdiffstats
path: root/root/posodobi.sh
diff options
context:
space:
mode:
authorAnton Luka Šijanec <anton@sijanec.eu>2024-05-18 22:22:47 +0200
committerAnton Luka Šijanec <anton@sijanec.eu>2024-05-18 22:22:47 +0200
commit309ec72a71b559daadb5d7b58d8ff2b0c1c46cfc (patch)
treeba3e57543b9c1bf111f98b55367db3eccad9e3cd /root/posodobi.sh
parentgentoo (diff)
downloadn-master.tar
n-master.tar.gz
n-master.tar.bz2
n-master.tar.lz
n-master.tar.xz
n-master.tar.zst
n-master.zip
Diffstat (limited to 'root/posodobi.sh')
-rwxr-xr-xroot/posodobi.sh8
1 files changed, 6 insertions, 2 deletions
diff --git a/root/posodobi.sh b/root/posodobi.sh
index c150fb5..e490d84 100755
--- a/root/posodobi.sh
+++ b/root/posodobi.sh
@@ -26,8 +26,12 @@ a=
grep "no-sync" <<<"$@" || /usr/sbin/emaint sync --auto
grep "no-ask" <<<"$@" || a=--ask
grep "colo" <<<"$@" && f="$f --color y"
-[ `hostname` = varovalka ] && f="$f --exclude=media-libs/mesa"
-emerge --tree --verbose --update $f $a --newuse --changed-use --backtrack 30 --deep --with-bdeps=y --rebuilt-binaries --autounmask --autounmask-write --autounmask-backtrack=y @world
+[ `hostname` = varovalka ] && f="$f" # --exclude=media-libs/mesa
+swap=/mnt/slu/a/tmp/swap
+[ -f $swap ] && swapon $swap
+trap "swapoff $swap" EXIT
+emerge --tree --verbose --update $f $a --newuse --changed-use --backtrack 30 --deep --with-bdeps=y --rebuilt-binaries --autounmask --autounmask-write --autounmask-backtrack=y @world # --exclude=sci-electronics/kicad
emerge --verbose $f --autounmask-write --autounmask @preserved-rebuild
emerge --depclean $f
/root/linux/dist.sh
+dmenu_path > /dev/null # update cache